<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>






<menuitem id="menu_history_moves" parent="parent_outbound" name="Stock Movement"/>

<menuitem id="menu_move_products" parent="parent_outbound" name="Move Products"/>




    <record id="view_move_form_outbound_inbound1" model="ir.ui.view">
            <field name="name">stock.move.form.inbound</field>
            <field name="model">stock.move</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <form string="Stock Moves">
                <header>
                    <button name="action_confirm" states="draft" string="Process" type="object" class="oe_highlight"/>
                   <!--  <button name="action_done" states="draft,assigned,confirmed" string="Process Entirely" type="object" class="oe_highlight"/>
                    <button name="force_assign" states="confirmed" string="Set Available" type="object" class="oe_highlight"/> -->
                    <button name="action_cancel" states="draft,assigned,confirmed" string="Cancel Move" type="object"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirmed,assigned,done" statusbar_colors='{"waiting":"blue","confirmed":"blue"}'/>
                </header>
                <sheet>
                    <group>
                        <group name="main_grp" colspan="4">
                            <group name="main_grp_col1">
                                <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)" widget="selection" options="{'limit': 10, 'create': false, 'create_edit': false}"/>
                                <label for="product_uom_qty"/>
                                <div>
                                    <field name="product_uom_qty"
                                        on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"
                                        class="oe_inline"/>
                                    <field name="product_uom" groups="product.group_uom" class="oe_inline"/>
                                    <button name="%(stock.move_scrap)d"
                                            string="Scrap" type="action"
                                            icon="terp-gtk-jump-to-ltr" context="{'scrap': True}"
                                            states="draft,waiting,confirmed,assigned" colspan="1"/>
                                </div>
                                <field name="name"/>
                                <label for="product_uos_qty" groups="product.group_uos"/>
                                <div groups="product.group_uos">
                                    <field name="product_uos_qty"
                                        on_change="onchange_uos_quantity(product_id, product_uos_qty, product_uos, product_uom)"
                                        class="oe_inline"/>
                                    <field name="product_uos" class="oe_inline"/>
                                </div>
                            </group>
                            <group name="main_grp_col2">
                                <field name="picking_type_id"/>
                                <field name="priority"/>
                                <field name="company_id" groups="base.group_multi_company" widget="selection"/>
                                <field name="date_expected" on_change="onchange_date(date,date_expected)" attrs="{'invisible': [('state', '=', 'done')]}"/>
                                <field name="date" attrs="{'invisible': [('state', '!=', 'done')]}"/>
                            </group>
                        </group>
                        <group name="origin_grp" string="Origin">
                            <field name="origin"/>
                            <field name="location_id" domain= "[('id','=',20)]" widget="selection" options="{'create': false, 'create_edit': false}" groups="stock.group_locations"/>
                            <field name="picking_id" domain="[('picking_type_id','=',picking_type_id)]"/>
                            <field name="create_date" groups="base.group_no_one"/>
                            <field name="procure_method" attrs="{'readonly': [('state', '!=', 'draft')]}" groups="stock.group_adv_location"/>
                            <field name="group_id"/>
                        </group>
                        <group name="destination_grp" string="Destination" groups="stock.group_locations">
                            <field name="location_dest_id" domain= "[('id','=',7)]" widget="selection" options="{'create': false, 'create_edit': false}" />
                            <field name="partner_id" context="{'contact_display':'partner'}" />
                        </group>
                        <group name="quants_grp" string="Reserved Quants" colspan="4" groups="base.group_no_one">
                            <field name="reserved_quant_ids"/>
                        </group>
                    </group>
                </sheet>
                </form>
            </field>
        </record>

        

        <record id="view_move_search" model="ir.ui.view">
            <field name="name">stock.move.search</field>
            <field name="model">stock.move</field>
            <field eval="3" name="priority"/>
            <field name="arch" type="xml">
                <search string="Stock Moves">
                    <field name="origin" filter_domain="['|', '|', ('origin', 'ilike', self), ('name', 'ilike', self), ('picking_id', 'ilike', self)]" string="Reference"/>
                    <field name="date" groups="base.group_no_one"/>

                    <filter icon="terp-camera_test" string="Ready" name="ready" domain="[('state','=','assigned')]" help="Stock moves that are Available (Ready to process)"/>
                    <filter icon="terp-stock" string="To Do" name="future" domain="[('state','in',('assigned','confirmed','waiting'))]" help="Stock moves that are Confirmed, Available or Waiting"/>
                    <filter icon="terp-dialog-close" string="Done" name="done" domain="[('state','=','done')]" help="Stock moves that have been processed"/>
                    <separator/>
                    <filter icon="terp-go-today" string="Today" domain="[('date','&lt;=',time.strftime('%%Y-%%m-%%d 23:59:59')),('date','&gt;=',time.strftime('%%Y-%%m-%%d 00:00:00'))]" help="Orders processed Today or planned for Today"/>
                    <field name="product_id"/>
                    <field name="name" string="Location" filter_domain="['|',('location_id','ilike',self),('location_dest_id','ilike',self)]"/>
                    <field name="partner_id" string="Partner"  filter_domain="[('picking_id.partner_id','child_of',self)]"/>
                    <group expand="0" string="Group By">
                        <filter string="Product" name="by_product" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'product_id'}"/>
                        <filter string="Picking" name="groupby_picking_id" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'picking_id'}"/>
                        <filter string="Source" name="groupby_location_id" icon="terp-gtk-jump-to-rtl" domain="[]" context="{'group_by':'location_id'}" groups="stock.group_locations"/>
                        <filter string="Destination" name="groupby_dest_location_id" icon="terp-gtk-jump-to-ltr" domain="[]" context="{'group_by':'location_dest_id'}" groups="stock.group_locations"/>
                        <filter icon="terp-stock_effects-object-colorize" string="Status" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Creation" name="groupby_create_date" icon="terp-go-month" domain="[]" context="{'group_by':'create_date'}" groups="base.group_no_one"/>
                        <filter string="Scheduled" name="groupby_date" icon="terp-go-month" domain="[]" context="{'group_by':'date_expected'}"/>
                    </group>
                </search>
            </field>
        </record>


        <record id="view_move_form_outbound_warehouse1" model="ir.ui.view">
            <field name="name">stock.move.form.inbound</field>
            <field name="model">stock.move</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <form string="Stock Moves">
                <header>
                    <button name="action_confirm" states="draft" string="Process" type="object" class="oe_highlight"/>
                   <!--  <button name="action_done" states="draft,assigned,confirmed" string="Process Entirely" type="object" class="oe_highlight"/>
                    <button name="force_assign" states="confirmed" string="Set Available" type="object" class="oe_highlight"/> -->
                    <button name="action_cancel" states="draft,assigned,confirmed" string="Cancel Move" type="object"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirmed,assigned,done" statusbar_colors='{"waiting":"blue","confirmed":"blue"}'/>
                </header>
                <sheet>
                    <group>
                        <group name="main_grp" colspan="4">
                            <group name="main_grp_col1">
                                <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)" widget="selection" options="{'limit': 10, 'create': false, 'create_edit': false}"/>
                                <label for="product_uom_qty"/>
                                <div>
                                    <field name="product_uom_qty"
                                        on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"
                                        class="oe_inline"/>
                                    <field name="product_uom" groups="product.group_uom" class="oe_inline"/>
                                    <button name="%(stock.move_scrap)d"
                                            string="Scrap" type="action"
                                            icon="terp-gtk-jump-to-ltr" context="{'scrap': True}"
                                            states="draft,waiting,confirmed,assigned" colspan="1"/>
                                </div>
                                <field name="name"/>
                                <label for="product_uos_qty" groups="product.group_uos"/>
                                <div groups="product.group_uos">
                                    <field name="product_uos_qty"
                                        on_change="onchange_uos_quantity(product_id, product_uos_qty, product_uos, product_uom)"
                                        class="oe_inline"/>
                                    <field name="product_uos" class="oe_inline"/>
                                </div>
                            </group>
                            <group name="main_grp_col2">
                                <field name="picking_type_id"/>
                                <field name="priority"/>
                                <field name="company_id" groups="base.group_multi_company" widget="selection"/>
                                <field name="date_expected" on_change="onchange_date(date,date_expected)" attrs="{'invisible': [('state', '=', 'done')]}"/>
                                <field name="date" attrs="{'invisible': [('state', '!=', 'done')]}"/>
                            </group>
                        </group>
                        <group name="origin_grp" string="Origin">
                            <field name="origin"/>
                            <field name="location_id" domain= "[('id','=',20)]" widget="selection" options="{'create': false, 'create_edit': false}" groups="stock.group_locations"/>
                            <field name="picking_id" domain="[('picking_type_id','=',picking_type_id)]"/>
                            <field name="create_date" groups="base.group_no_one"/>
                            <field name="procure_method" attrs="{'readonly': [('state', '!=', 'draft')]}" groups="stock.group_adv_location"/>
                            <field name="group_id"/>
                        </group>
                        <group name="destination_grp" string="Destination" groups="stock.group_locations">
                            <field name="location_dest_id" domain= "[('id','=',29)]" widget="selection" options="{'create': false, 'create_edit': false}" />
                            <field name="partner_id" context="{'contact_display':'partner'}" />
                        </group>
                        <group name="quants_grp" string="Reserved Quants" colspan="4" groups="base.group_no_one">
                            <field name="reserved_quant_ids"/>
                        </group>
                    </group>
                </sheet>
                </form>
            </field>
        </record>

        <record id="action_move_form_outbound_inbound" model="ir.actions.act_window">
            <field name="name">Move Product To Inbound</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
             <field name="view_mode">form</field>
            <field name="view_id" ref="view_move_form_outbound_inbound1"/>
            <field name="search_view_id" ref="view_move_search"/>
            <field name="context">{}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>


        <record id="action_move_form_outbound_warehouse" model="ir.actions.act_window">
            <field name="name">Move Product To Warehouse</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
             <field name="view_mode">form</field>
            <field name="view_id" ref="view_move_form_outbound_warehouse1"/>
            <field name="search_view_id" ref="view_move_search"/>
            <field name="context">{}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>

        <menuitem action="action_move_form_outbound_inbound" id="menu_action_move_outbound_inbound"
            parent="menu_move_products" sequence="12"/>

            <menuitem action="action_move_form_outbound_warehouse" id="menu_action_move_outbound_warehouse"
            parent="menu_move_products" sequence="12"/>



       <record id="history_move_tree_sent" model="ir.ui.view">
            <field name="name">stock.move.tree.sent</field>
            <field name="model">stock.move</field>
            <field eval="8" name="priority"/>
            <field name="arch" type="xml">
                <tree colors="grey:state == 'cancel';red:(state not in ('cancel','done')) and date > current_date" string="Moves" create="false">
                    <field name="name"/>
                    <field name="picking_id" string="Reference"/>
                    <field name="origin"/>
                    <field name="picking_type_id"/>
                    <field name="create_date" invisible="1" groups="base.group_no_one"/>
                    <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)"/>
                    <field name="product_uom_qty" on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"/>
                    <field name="product_uom" string="Unit of Measure" groups="product.group_uom"/>
                    <field name="product_uos_qty" groups="product.group_uos"/>
                    <field name="product_uos" groups="product.group_uos"/>
                    
                    <field name="location_id" groups="stock.group_locations"/>
                    <field name="location_dest_id" groups="stock.group_locations"/>
                    <field name="date" groups="base.group_no_one"/>
                    <field name="date_expected"/>
                    <field name="state"/>
                    </tree>
            </field>
        </record>


        <record id="history_move_tree_receive" model="ir.ui.view">
            <field name="name">stock.move.tree</field>
            <field name="model">stock.move</field>
            <field eval="8" name="priority"/>
            <field name="arch" type="xml">
                <tree colors="grey:state == 'cancel';red:(state not in ('cancel','done')) and date > current_date" string="Moves" create="false">
                    <field name="name"/>
                    <field name="picking_id" string="Reference"/>
                    <field name="origin"/>
                    <field name="picking_type_id"/>
                    <field name="create_date" invisible="1" groups="base.group_no_one"/>
                    <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)"/>
                    <field name="product_uom_qty" on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"/>
                    <field name="product_uom" string="Unit of Measure" groups="product.group_uom"/>
                    <field name="product_uos_qty" groups="product.group_uos"/>
                    <field name="product_uos" groups="product.group_uos"/>
                    
                    <field name="location_id" groups="stock.group_locations"/>
                    <field name="location_dest_id" groups="stock.group_locations"/>
                    <field name="date" groups="base.group_no_one"/>
                    <field name="date_expected"/>
                    <field name="state"/>
                    <button name="action_done" states="confirmed,assigned" string="Process" type="object" 
                            groups="stock.group_stock_user" icon="gtk-go-forward" help="Done"/>
                </tree>
            </field>
        </record>

        <record id="history_move_search" model="ir.ui.view">
            <field name="name">stock.move.search</field>
            <field name="model">stock.move</field>
            <field eval="3" name="priority"/>
            <field name="arch" type="xml">
                <search string="Stock Moves">
                    <field name="origin" filter_domain="['|', '|', ('origin', 'ilike', self), ('name', 'ilike', self), ('picking_id', 'ilike', self)]" string="Reference"/>
                    <field name="date" groups="base.group_no_one"/>

                    <filter icon="terp-camera_test" string="Ready" name="ready" domain="[('state','=','assigned')]" help="Stock moves that are Available (Ready to process)"/>
                    <filter icon="terp-stock" string="To Do" name="future" domain="[('state','in',('assigned','confirmed','waiting'))]" help="Stock moves that are Confirmed, Available or Waiting"/>
                    <filter icon="terp-dialog-close" string="Done" name="done" domain="[('state','=','done')]" help="Stock moves that have been processed"/>
                    <separator/>
                    <filter icon="terp-go-today" string="Today" domain="[('date','&lt;=',time.strftime('%%Y-%%m-%%d 23:59:59')),('date','&gt;=',time.strftime('%%Y-%%m-%%d 00:00:00'))]" help="Orders processed Today or planned for Today"/>
                    <field name="product_id"/>
                    <field name="name" string="Location" filter_domain="['|',('location_id','ilike',self),('location_dest_id','ilike',self)]"/>
                    <field name="partner_id" string="Partner"  filter_domain="[('picking_id.partner_id','child_of',self)]"/>
                    <group expand="0" string="Group By">
                        <filter string="Product" name="by_product" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'product_id'}"/>
                        <filter string="Picking" name="groupby_picking_id" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'picking_id'}"/>
                        <filter string="Source" name="groupby_location_id" icon="terp-gtk-jump-to-rtl" domain="[]" context="{'group_by':'location_id'}" groups="stock.group_locations"/>
                        <filter string="Destination" name="groupby_dest_location_id" icon="terp-gtk-jump-to-ltr" domain="[]" context="{'group_by':'location_dest_id'}" groups="stock.group_locations"/>
                        <filter icon="terp-stock_effects-object-colorize" string="Status" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Creation" name="groupby_create_date" icon="terp-go-month" domain="[]" context="{'group_by':'create_date'}" groups="base.group_no_one"/>
                        <filter string="Scheduled" name="groupby_date" icon="terp-go-month" domain="[]" context="{'group_by':'date_expected'}"/>
                    </group>
                </search>
            </field>
        </record>

        

        <record id="action_move_sent" model="ir.actions.act_window">
            <field name="name">Sent Products</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="domain">[('location_id','=',20)]</field>
            <field name="view_id" ref="history_move_tree_sent"/>
            <field name="search_view_id" ref="history_move_search"/>
            <field name="context">{}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>
         <menuitem action="action_move_sent" id="menu_action_move_content1"
            parent="menu_history_moves" sequence="12"/>
     


        <record id="action_move_receive" model="ir.actions.act_window">
            <field name="name">Receive Products</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="domain">[('location_dest_id','=',20)]</field>
            <field name="view_id" ref="history_move_tree_receive"/>
            <field name="search_view_id" ref="history_move_search"/>
            <field name="context">{}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>
         <menuitem action="action_move_receive" id="menu_action_move_content2"
            parent="menu_history_moves" sequence="12"/>
             





    </data>
</openerp>
